import java.applet.*;
import java.awt.*;
import java.awt.event.*;


public class AwtTest extends Applet {
	EventHandler eh = new EventHandler();
	private Button btnBlue;
	private Button btnRed;
	private Label label;

	class EventHandler implements ActionListener, MouseListener {
		public void actionPerformed(ActionEvent e) {
			if (e.getSource() == btnBlue) {
				AwtTest.this.setBackground(Color.blue);
			}
			if (e.getSource() == btnRed) {
				AwtTest.this.setBackground(Color.red);
			}
		}

		public void mouseEntered(MouseEvent e) {
			if (e.getSource() == btnBlue) {
				label.setBackground(Color.blue);
			}
			if (e.getSource() == btnRed) {
				label.setBackground(Color.red);
			}
			label.setForeground(Color.white);
		}
		public void mouseExited(MouseEvent e) {
			label.setForeground(Color.white);
			label.setBackground(Color.white);
		}
		public void mouseClicked(MouseEvent e) {}
		public void mousePressed(MouseEvent e) {}
		public void mouseReleased(MouseEvent e) {}
	}

	public void init() {

		btnBlue = new Button("blue");
		btnRed = new Button("red");
		label = new Label("Color");
		btnBlue.setBounds(114, 23, 56, 20);
		btnRed.setBounds(29, 23, 56, 20);
		label.setBounds(75, 66, 50, 20);
		label.setAlignment(Label.CENTER);
		this.setLayout(null);
		this.setSize(200, 100);
		this.add(btnBlue);
		this.add(btnRed);
		this.add(label);

		btnBlue.addActionListener(eh);
		btnRed.addActionListener(eh);
		btnRed.addMouseListener(eh);
		btnBlue.addMouseListener(eh);
	}

	public void start() {
		this.setBackground(Color.white);
		System.out.println("Start");
	}
}